Skip to content

order.create

POST
/order_create

This request verifies the pre-authorization of an order, confirming that the order can be successfully created.

Authorization

ApiKeyAuth X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Scope: X-API-Key

Header Parameters

X-Bolt-Hmac-Sha256?string

Bolt sends a signed HMAC for hook verification

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/order_create" \  -H "Content-Type: application/json" \  -d '{}'
{  "event": "order.create",  "status": "success",  "data": {    "display_id": "ID-12345",    "order_received_url": "https://***.com/confirmation/O-100104040"  }}